# $Revision: 1.5 $, $Date: 2004/05/07 00:17:13 $
#
# Conditional build:
%bcond_with	tests	# perform "make test"
			# interactive
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Term
%define		pnam	ReadLine-Perl
Summary:	Term::ReadLine::Perl - minimal interface to Readline libraries
Summary(pl):	Term::ReadLine::Perl - minimalny interfejs do bibliotek Readline
Name:		perl-Term-ReadLine-Perl
Version:	1.0203
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	ec5b186a324e5cc29256e142b1b1f17d
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Term-ReadKey
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Term::ReadLine::Perl module is a quick implementation of the minimal
interface to Readline libraries.  The implementation is made in Perl
(mostly) by Jeffrey Friedl.  The only thing this library does is to
make it conformant (and add some minimal changes, like using
Term::ReadKey if present, and correct work under xterm).

%description -l pl
Modu Term::ReadLine::Perl jest szybk implementacj minimalnego
interfejsu do bibliotek Readline. Implementacja w Perlu zostaa w
wikszoci wykonana przez Jeffreya Friedla. Jedyn rzecz, jak robi
ta biblioteka, jest bycie zgodnym (i dodanie pewnych minimalnych
zmian, w rodzaju uywania Term::ReadKey jeli istnieje oraz poprawnej
pracy na xtermie).

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README CHANGES
%{perl_vendorlib}/Term/ReadLine/*.pm

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Term-ReadLine-Perl.spec,v $
Revision 1.5  2004/05/07 00:17:13  ankry
- summary, added CHANGES, rel. 1

Revision 1.4  2004/05/06 18:01:32  ankry
- fixed perl-devel BR

Revision 1.3  2004/05/02 17:19:07  ankry
- tests added, but disabled, license fix

Revision 1.2  2003/07/31 22:21:17  qboosh
- pl

Revision 1.1  2003/07/20 18:24:01  areq
- init PLD spec
